Bug 1952832 - [IBM][ROKS] Enable the Web console UI to deploy OCS in External mode on IBM Cloud [NEEDINFO]
Summary: [IBM][ROKS] Enable the Web console UI to deploy OCS in External mode on IBM C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: All
OS: All
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Ankush Behl
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-23 10:20 UTC by akgunjal@in.ibm.com
Modified: 2021-07-27 23:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:03:27 UTC
Target Upstream Version:
badhikar: needinfo? (akgunjal)
sabose: needinfo? (akgunjal)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8790 0 None open Bug 1952832: Enable external mode for IBM cloud 2021-04-27 09:07:22 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:03:53 UTC

Description akgunjal@in.ibm.com 2021-04-23 10:20:54 UTC
Description of problem (please be detailed as possible and provide log
snippests):
On OCS 4.6 we see in the Web console UI, the option to deploy OCS in "External" mode is disabled. Please enable this for IBM Cloud

Version of all relevant components (if applicable):
OCS 4.6

Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?
We cannot use OCS in external mode.

Is there any workaround available to the best of your knowledge?
We can use CLI ways currently to try it out

Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
Yes

Can this issue reproduce from the UI?
Yes

If this is a regression, please provide more details to justify this:


Steps to Reproduce:
1.Open web console
2.After OCS operator deploy, when creating storage cluster the external mode is disabled


Actual results:
External mode is disabled

Expected results:
External mode should be allowed

Additional info:

Comment 3 Sahina Bose 2021-04-26 10:22:09 UTC
Last time I had asked, the value is platform: IBMCloud

Akash, can you provide the output of below for the ROKS platform. (And is it the same on Satellite as well?)
oc get infrastructure cluster -o yaml

Comment 8 Sahina Bose 2021-07-05 11:54:10 UTC
@akgunjal@in.ibm.com Akash, can you help verify this bug?

Comment 9 Cesar Wong 2021-07-07 16:25:05 UTC
Verified console fix with 4.8.0-rc.3
Requires a fix on the ibm-roks-toolkit side: https://github.com/openshift/ibm-roks-toolkit/pull/217

Comment 11 errata-xmlrpc 2021-07-27 23:03:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.